"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = insertScript;

function insertScript(url, options) {
  if (options === void 0) {
    options = {};
  }

  var script = document.createElement('script');
  script.src = url;
  Object.keys(options).forEach(function (key) {
    // @ts-ignore
    script[key] = options[key];
  });
  document.body.appendChild(script);
  return script;
}

module.exports = exports.default;