"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = set;

var _convert = _interopRequireDefault(require("./util/convert"));

function set(key, value, options, encoder) {
  if (options === void 0) {
    options = {};
  }

  if (encoder === void 0) {
    encoder = encodeURIComponent;
  }

  var attrsStr = (0, _convert["default"])(options);
  var valueStr = typeof encoder === 'function' ? encoder(value) : value;
  var newCookie = key + "=" + valueStr + attrsStr;
  document.cookie = newCookie;
}

module.exports = exports.default;