"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = delay;

function delay(duration) {
  if (duration === void 0) {
    duration = 0;
  }

  return new Promise(function (resolve) {
    return setTimeout(function () {
      return resolve();
    }, duration);
  });
}

module.exports = exports.default;